# Uses of Interface
org.eclipse.birt.chart.model.component.MarkerLine

Packages that use MarkerLine
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.script

## Uses of MarkerLine in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type MarkerLine
Modifier and Type
Method
Description
`static StructureSource`
StructureSource.`createMarkerLine(MarkerLine ml)`
Creates a Structure Source for type MarkerLine.

## Uses of MarkerLine in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return MarkerLine
Modifier and Type
Method
Description
`MarkerLine`
MarkerLine.`copyInstance()`
`MarkerLine`
ComponentFactory.`createMarkerLine()`
Returns a new object of class 'Marker Line'.
Methods in org.eclipse.birt.chart.model.component that return types with arguments of type MarkerLine
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<MarkerLine>`
Axis.`getMarkerLines()`
Returns the value of the 'Marker Lines' containment reference list.

## Uses of MarkerLine in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement MarkerLine
Modifier and Type
Class
Description
`class`
`MarkerLineImpl`
An implementation of the model object ' Marker Line'.
Methods in org.eclipse.birt.chart.model.component.impl that return MarkerLine
Modifier and Type
Method
Description
`MarkerLine`
MarkerLineImpl.`copyInstance()`
`static final MarkerLine`
MarkerLineImpl.`create(Axis ax, DataElement de)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerLine`
MarkerLineImpl.`create(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerLine`
MarkerLineImpl.`createDefault(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`MarkerLine`
ComponentFactoryImpl.`createMarkerLine()`
Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type MarkerLine
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<MarkerLine>`
AxisImpl.`getMarkerLines()`

## Uses of MarkerLine in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type MarkerLine
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
Called after drawing each marker line in an Axis.
`void`
ChartEventHandlerAdapter.`beforeDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
Called before drawing each marker line in an Axis.